Publicidade

quarta-feira, 18 de janeiro de 2017

A Canonical removerá os antigos escopos do Unity 7 porque eles não estão seguros.




Estes não serão suportados pelo Unity 8 de qualquer maneira



Will Cooke da Canonical tem revelado recentemente os planos da empresa sobre como remover alguns antigos, não-mantido Unidade 7 Scopes dos arquivos Ubuntu Linux, porque eles poderiam ameaçar a segurança de todo o sistema operacional.

Abril vai ver o lançamento do sistema operacional Ubuntu 17.04 (Zesty Zapus), mas também marca o quinto ano de implementação da interface do usuário Unity, que foi introduzido pela primeira vez como parte do Ubuntu 11.04 (Natty Narwhal) lançamento.

Enquanto os engenheiros da Canonical está concentrando todos os seus esforços no sentido de levar-nos a interface de usuário de próxima geração Unidade 8, versões atuais Ubuntu Linux são ainda com sucesso usando o Unity 7 , e assim que o Ubuntu 17.04.

Velho, não mantido Unity 7 Escopos ainda estão lá fora

No entanto, parece que os repositórios do Ubuntu ainda incluem alguns escopos velhos e não mantidos que têm problemas de segurança abertos, representando uma ameaça para todo o sistema se instalado e usado.

A maioria destes são relacionados a alguns aplicativos de reprodução de música popular e incluem unidade-escopo-audacioso, unidade-escopo-clementina, unidade-escopo-gmusicbrowser, unidade-escopo-guayadeque, unidade-escopo-música e unidade-escopo-gourmet.

Por causa disso, a Canonical está planejando remover esses e muitos outros Unity 7 Scores não mantidos dos repositórios oficiais, se seus mantenedores não avançarem para corrigir qualquer um dos problemas de segurança existentes e também porque o Unity 8 não os suportará.

"Junte isso com a decisão de desativar as pesquisas on-line por padrão e eu acho que é hora de considerar deixar cair esses escopos do arquivo. Além disso, o fato de que eles não funcionarão no Unity 8 no futuro de qualquer maneira", disse Will Cooke, Ubuntu Desktop Manager na Canonical.

Se você enviou um Escopo da Unidade 7 no passado e não oferece mais correções de segurança para ele, faça um favor a todos e remova-o dos repositórios o mais rápido possível. Unity 7 será apoiado por mais alguns anos, mas não precisa ser inseguro.


Fonte

Até a próxima!!!